package pfc.android.gestormensajeria.entidades;

/**
 * Clase para el manejo de la información de las plantillas de mensajes
 * @author Francisco José Lamela Rincón
 *
 */
public class Plantilla {
	/**
	 * Propiedad para el manejo del id de la plantilla
	 */
	private Integer id;
	
	/**
	 * Propiedad para el manejo del nombre de la plantilla
	 */
	private String nombre;
	
	/**
	 * Propiedad para el manejo del contenido de la plantilla
	 */
    private String contenido;
    
    /**
     * Constructor de la clase
     * @param id
     * @param nombre
     * @param contenido
     */
    public Plantilla(Integer id, String nombre, String contenido){
    	this.id = id;
    	this.nombre = nombre;
    	this.contenido = contenido;
    }
    
    
    /**
     * Constructor de la clase
     * @param nombre
     * @param contenido
     */
    public Plantilla(String nombre, String contenido){
    	this.id = null;
    	this.nombre = nombre;
    	this.contenido = contenido;
    }
    
    /**
     * Devuelve el id de la plantilla
     * @return
     */
	public Integer getId() {
		return id;
	}
	
	/**
	 * Establece el id de la plantilla
	 * @param id
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	
	/**
	 * Devuelve el nombre de la plantilla
	 * @return
	 */
	public String getNombre() {
		return nombre;
	}
	
	/**
	 * Establece el nombre de la plantilla
	 * @param nombre
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	
	/**
	 * Devuelve el contenido de la plantilla
	 * @return
	 */
	public String getContenido() {
		return contenido;
	}
	
	/**
	 * Establece el contenido de la plantilla
	 * @param contenido
	 */
	public void setContenido(String contenido) {
		this.contenido = contenido;
	}
    
}
